From f2f54551930c79067e54ea3f3e7745146537304f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 21:06:14 +0000
Subject: [PATCH 263/1001] Another note to future self.


---

diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 26d5501..2ba21e6 100644
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -71,4 +71,14 @@ def data(session, widget, calendar):
 
 
 def should_invalidate(message, session, widget):
+    # TODO -- we have a hard problem here.
+    # There is no event which should invalidate this widget...
+    # but we do need to expire ourselves after the date of the meeting we
+    # cached has passed.
+    # Perhaps we should expand the should_invalidate API to return a tuple:
+    #  - True/False if we should or shouldn't invalidate.
+    #  - an expiry in seconds where -1 is default and means "never expire"
+    # with that.. we could have this function return the timestamp of the
+    # meeting in seconds.. such that once it has passed, our cache will free
+    # up.
     raise NotImplementedError()

